# List administrators

`GET https://api.cademi.com.br/api/v3/administrators`

Operation ID: `administrators.list` · API v3

Lists the administrators in the current account using cursor-based pagination.

By default, only active administrators are returned. Set `deleted` to `true` to list only administrators in the trash. Use `q` to search by name or email address (case-insensitive partial match) and `role` to filter by role.

Required permissions: `administrators.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `limit` | query | integer | no |  |
| `cursor` | query | string | no |  |
| `q` | query | string | no |  |
| `role` | query | string | no |  |
| `deleted` | query | boolean | no |  |

## Responses

### 200

Returns a page of administrators.

Body: `data`: array of Administrator.

Fields of Administrator:

| Field | Type | Required | Description |
|---|---|---|---|
| `created_at` | string (date-time) | yes |  |
| `deleted` | boolean | yes |  |
| `email` | string (email) | yes |  |
| `id` | string | yes |  |
| `last_login_at` | string or null (date-time) | yes |  |
| `name` | string | yes |  |
| `object` | string, one of `administrator` | yes |  |
| `product_ids` | array of string | yes |  |
| `revision` | string | yes |  |
| `role` | string, one of `root`, `admin`, `product_admin`, `master_admin`, `support`, `designer` | yes |  |
| `status` | string, one of `active`, `inactive` | yes |  |
| `two_factor_enabled` | boolean | yes |  |
| `updated_at` | string (date-time) | yes |  |

### 400

The cursor is invalid or the request contains an unsupported query parameter.

Body: Error.

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 422

The request body or query parameters failed validation.

Body: ValidationFailed.

Full schema: https://cademi.dev/openapi/v3.json
